> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete blocked email

> Unblock an email so it can book meetings and buy packages again.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetocal.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/blocked-emails.yaml DELETE /blocked-emails/{id}
openapi: 3.0.3
info:
  title: NeetoCal Blocked Emails APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Blocked emails
    description: >-
      APIs to manage blocked emails. A blocked email cannot book a meeting or
      buy a package. Emails are stored lowercased and without `+tags`. Gmail
      addresses are also stored without dots, so `John.Doe+promo@gmail.com` is
      stored as `johndoe@gmail.com`.
paths:
  /blocked-emails/{id}:
    delete:
      tags:
        - Blocked emails
      summary: Delete a blocked email
      description: Unblock an email so it can book meetings and buy packages again.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/blocked_email_id'
      responses:
        '204':
          description: No Content - Email unblocked successfully
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
    blocked_email_id:
      in: path
      name: id
      description: >-
        The unique identifier of the blocked email. You can get this `id` from
        the response of the [List blocked emails](/api/blocked-emails/list)
        endpoint.
      required: true
      schema:
        type: string
        example: 3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.